Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DATA_CONVERSIONHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DATA_CONVERSIONHelper

public class DATA_CONVERSIONHelper
extends java.lang.Object

Helper class for : DATA_CONVERSION

Author:
  OpenORB Compiler

Constructor Summary
`DATA_CONVERSIONHelper()`

Method Summary
`static DATA_CONVERSION` | `extract(Any a)` Extract DATA_CONVERSION from an any
`static java.lang.String` | `id()` Return the DATA_CONVERSION IDL ID
`static void` | `insert(Any a, DATA_CONVERSION t)` Insert DATA_CONVERSION into an any
`static DATA_CONVERSION` | `read(InputStream istream)` Read DATA_CONVERSION from a marshalled stream
`static TypeCode` | `type()` Return the DATA_CONVERSION TypeCode
`static void` | `write(OutputStream ostream, DATA_CONVERSION value)` Write DATA_CONVERSION into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DATA_CONVERSIONHelper

    public DATA_CONVERSIONHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DATA_CONVERSION t)

  Insert DATA_CONVERSION into an any
  Parameters:
    `a` - an any
    `t` - DATA_CONVERSION value

### extract

    public static DATA_CONVERSION extract(Any a)

  Extract DATA_CONVERSION from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DATA_CONVERSION value

### type

    public static TypeCode type()

  Return the DATA_CONVERSION TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DATA_CONVERSION IDL ID
  Returns:
    an ID

### read

    public static DATA_CONVERSION read(InputStream istream)

  Read DATA_CONVERSION from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DATA_CONVERSION value

### write

    public static void write(OutputStream ostream,
                             DATA_CONVERSION value)

  Write DATA_CONVERSION into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DATA_CONVERSION value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD